## Host tunings

To fix

```
"component":"virt-handler","level":"error","msg":"Error starting tun
device plugin","pos":"device_controller.go:73","reason":"failed to add
the device root path to the watcher: no such file or
directory","timestamp":"2021-06-07T20:15:48.557412Z"
```

use

```
modprobe tun
```

To fix

```
  Warning  FailedScheduling  67s (x2 over 69s)  default-scheduler  0/4
  nodes are available: 1 node(s) had taint
  {node-role.kubernetes.io/master: }, that the pod didn't tolerate, 3
  Insufficient devices.kubevirt.io/vhost-net.

```

```
modprobe vhost_net
```

## Failing to create tap devices

```
failed to configure vmi network: Critical network error: error
creating tap device named tap0; failed to create tap device tap0: exit
status 1
```

Unknown reason. Encountered in kubevirt v0.35.0.
